Bug 669851 (CVE-2010-4337) - CVE-2010-4337 gnash: symlink attack via configure script
Summary: CVE-2010-4337 gnash: symlink attack via configure script
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2010-4337
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 669852
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-15 03:05 UTC by Vincent Danen
Modified: 2019-09-29 12:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:57:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 605419 None None None Never

Description Vincent Danen 2011-01-15 03:05:36 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4337 to
the following vulnerability:

Name: CVE-2010-4337
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4337
Assigned: 20101130
Reference: MISC: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605419
Reference: BID:45102
Reference: URL: http://www.securityfocus.com/bid/45102
Reference: OSVDB:69533
Reference: URL: http://www.osvdb.org/69533
Reference: SECUNIA:42416
Reference: URL: http://secunia.com/advisories/42416

The configure script in gnash 0.8.8 allows local users to overwrite
arbitrary files via a symlink attack on the (1)
/tmp/gnash-configure-errors.$$, (2) /tmp/gnash-configure-warnings.$$,
or (3) /tmp/gnash-configure-recommended.$$ files.

Comment 1 Vincent Danen 2011-01-15 03:06:44 UTC
Created gnash tracking bugs for this issue

Affects: fedora-all [bug 669852]

Comment 2 Kevin Kofler 2011-01-15 10:13:51 UTC
This doesn't affect our binary packages at all, does it? Only the SRPMs are affected, when people rebuild them in a live system or an insecure chroot.

Comment 3 Vincent Danen 2011-01-15 16:28:05 UTC
That's exactly right.  So I wouldn't go out of the way to fix this, but would fix the next time gnash is built.  Thanks.

Comment 4 Product Security DevOps Team 2019-06-10 10:57:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.